[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# RorDWord

Rotate bits of a DWord (cardinal) value to the right

## Declaration

Source position: line 0

`function RorDWord(`
`const AValue: DWord`
`):DWord; function RorDWord(`
`const AValue: DWord;`
`const Dist: Byte`
`):DWord;`

## Description

RorDWord rotates the bits of the DWord (cardinal) AValue with Dist positions to the right. If Dist is not specified, then 1 is assumed.

## Errors

None.

## See also

RorByte |  | Rotate bits of a byte value to the right
RolDWord |  | Rotate bits of a DWord (cardinal) value to the left
RorWord |  | Rotate bits of a word value to the right
RorQWord |  | Rotate bits of a QWord (64-bit) value to the right

Documentation generated on: Feb 26 2014